﻿using pRILOHYHA.Classes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml.Linq;


namespace pRILOHYHA
{
    /// <summary>
    /// Логика взаимодействия для MainVhod.xaml
    /// </summary>
    public partial class MainVhod : Page
    {
        public MainVhod()
        {
            InitializeComponent();

        }

        private void ButtonClickzAREG(object sender, RoutedEventArgs e)
        {
            int gender = 0;
            if (Man.IsChecked == true) gender = 1;
            else if (Woman.IsChecked == true) gender = 2;

            if (Database.EM.User.Count(x => x.loGin == LOginas.Text) > 0)
                MessageBox.Show("Пользователь уже зарегистрирован");

            User newUser = new User()
            {
                firstName = tbName.Text,
                lastName = fAME.Text,
                patRonymic = tbOct.Text,
                loGin = LOginas.Text,
                pasSword = PassVord.Text.GetHashCode().ToString(),
                idGender = gender,
                dateOfBirth = DATYou.DisplayDate,
                idRole = 2
            };
            Regex pass1 = new Regex("[A-Z]");
            Regex pass2 = new Regex("[a-z]");
            Regex pass3 = new Regex("[0-9]");
            Regex pass4 = new Regex(@"[!?@#$%^&*();:/\.,]");
            Regex pass5 = new Regex(".");

            if (pass1.IsMatch(PassVord.Text) == false)
                MessageBox.Show("Пароль должен содержать хотя бы 1 заглавный латинский символ");
            else if (pass2.Matches(PassVord.Text).Count < 3)
                MessageBox.Show("Пароль должен содержать не менее 3 прописных латинских символов");
            else if (pass3.Matches(PassVord.Text).Count < 2)
                MessageBox.Show("Пароль должен содержать минимум 2 цифры");
            else if (pass4.IsMatch(PassVord.Text) == false)
                MessageBox.Show("Пароль должен содержать хотя бы 1 спецсимвол");
            else if (pass5.Matches(PassVord.Text).Count < 8)
                MessageBox.Show("Пароль должен содержать не менее 8 символов");
             else if (newUser.firstName != null && newUser.lastName != null && newUser.loGin != null && newUser.pasSword != null && newUser.idGender != 0 && newUser.dateOfBirth != null)
            {
                Database.EM.User.Add(newUser);
                Database.EM.SaveChanges();
                MessageBox.Show("Регистрация прошла успешно");
                FrameNow.FrameProject.Navigate(new PageM());
            }
            else MessageBox.Show("Пожалуйста, заполните все поля!");
            
        }

        private void ButtonClick(object sender, RoutedEventArgs e)
        {
            FrameNow.FrameProject.Navigate(new MainVhod());
        }

        private void ButtonClick1(object sender, RoutedEventArgs e)
        {
            FrameNow.FrameProject.Navigate(new PageM());

        }
    }
    
}
